Summary:	Multi-session filesystem extension to libisofs, libburn
Summary(pl.UTF-8):	Wielosesyjne rozszerzenie systemu plików do libisofs i libburn
Name:		libisoburn
Version:	1.2.4
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://files.libburnia-project.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	d5d78ec840a8bbc7df6582f65a28ca1e
Patch0:		%{name}-link.patch
Patch1:		%{name}-info.patch
URL:		http://libburnia-project.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libburn-devel >= 1.2.4
BuildRequires:	libisofs-devel >= 1.2.4
BuildRequires:	libjte-devel >= 1.0.0
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	readline-devel
BuildRequires:	texinfo
Requires:	libburn >= 1.2.4
Requires:	libisofs >= 1.2.4
Requires:	libjte >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libisoburn is a frontend for libraries libburn and libisofs which
enables creation and expansion of ISO-9660 filesystems on all CD/DVD
media supported by libburn. This includes media like DVD+RW, which do
not support multi-session management on media level and even plain
disk files or block devices.

The price for that is thorough specialization on data files in
ISO-9660 filesystem images. So libisoburn is not suitable for audio
(CD-DA) or any other CD layout which does not entirely consist of
ISO-9660 sessions.

%description -l pl.UTF-8
libisoburn to frontend do bibliotek libburn i libisofs umożliwiający
tworzenie i rozszerzanie systemów plików ISO-9660 na wszystkich
nośnikach CD/DVD obsługiwanych przez libburn. Obejmuje to nośniki
takie jak DVD+RW, które nie mają zarządzania wieloma sesjami na
poziomie nośnika, a nawet zwykłe pliki dyskowe czy urządzenia blokowe.

Ceną za to jest całkowite skupienie na plikach danych na obrazach
systemu plików ISO-9660. Przez to libisoburn nie nadaje się do płyt
muzycznych (CD-DA) ani żadnego innego układu CD nie składającego się w
całości z sesji ISO-9660.

%package devel
Summary:	Header files for libisoburn library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libisoburn
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libburn-devel >= 1.2.4
Requires:	libisofs-devel >= 1.2.4
Requires:	libjte-devel >= 1.0.0

%description devel
Header files for libisoburn library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libisoburn.

%package static
Summary:	Static libisoburn library
Summary(pl.UTF-8):	Statyczna biblioteka libisoburn
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libisoburn library.

%description static -l pl.UTF-8
Statyczna biblioteka libisoburn.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/postshell
/sbin/ldconfig
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun -p /sbin/postshell
/sbin/ldconfig
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYRIGHT ChangeLog README TODO
%attr(755,root,root) %{_bindir}/osirrox
%attr(755,root,root) %{_bindir}/xorrecord
%attr(755,root,root) %{_bindir}/xorriso
%attr(755,root,root) %{_bindir}/xorrisofs
%attr(755,root,root) %{_libdir}/libisoburn.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libisoburn.so.1
%{_mandir}/man1/xorrecord.1*
%{_mandir}/man1/xorriso.1*
%{_mandir}/man1/xorrisofs.1*
%{_infodir}/xorrecord.info*
%{_infodir}/xorriso.info*
%{_infodir}/xorrisofs.info*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libisoburn.so
%{_libdir}/libisoburn.la
%{_includedir}/libisoburn
%{_pkgconfigdir}/libisoburn-1.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libisoburn.a
%changelog
* Sat Jul 21 2012 Łukasz Kieś <kiesiu@pld-linux.org> 0c1c9c1
- updated to 1.2.4

* Tue Apr 03 2012 Łukasz Kieś <kiesiu@pld-linux.org> 78dd154
- updated to 1.2.2

* Mon Jan 30 2012 Łukasz Kieś <kiesiu@pld-linux.org> b48f4ed
- updated to 1.2.0

* Tue Nov 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 11244f4
- updated info patch, package xorrecord info and man page
- updated -devel dependency on libburn-devel

* Tue Nov 22 2011 Łukasz Kieś <kiesiu@pld-linux.org> 8e7f3d2
- updated to 1.1.8

* Tue Oct 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 9fca7b7
- updated to 1.1.6

* Wed Aug 10 2011 Jakub Bogusz <qboosh@pld-linux.org> a935b89
- updated to 1.1.4

* Thu Jul 14 2011 Łukasz Kieś <kiesiu@pld-linux.org> 03e9b6d
- updated to 1.1.2
- new URL

* Tue Jun 21 2011 Jakub Bogusz <qboosh@pld-linux.org> f9f8008
- updated to 1.1.0

* Fri May 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 1e7b174
- updated to 1.0.8.pl00

* Tue May 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 883e5ba
- updated to 1.0.6

* Fri Mar 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 2aae86e
- updated to 1.0.4.pl00
- updated info patch is back

* Fri Feb 25 2011 Jakub Bogusz <qboosh@pld-linux.org> cceb959
- updated to 1.0.2

* Mon Jan 17 2011 Jakub Bogusz <qboosh@pld-linux.org> 6f41781
- updated to 1.0.0.pl00

* Wed Dec 15 2010 Jakub Bogusz <qboosh@pld-linux.org> c5abbb8
- updated to 0.6.6.pl00

* Thu Nov 11 2010 Jakub Bogusz <qboosh@pld-linux.org> 5e8b610
- updated to 0.6.4.pl00
- updated link patch, added info patch

* Wed Jun 10 2009 amateja <amateja@pld-linux.org> ffa2884
- updated to 0.3.8

* Wed Jun 10 2009 amateja <amateja@pld-linux.org> 2fc826b
- adjusted for 0.3.8

* Mon Aug 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 582eeb6
- updated to 0.2.4.pl00

* Fri Jul 11 2008 Jakub Bogusz <qboosh@pld-linux.org> fd44ac9
- new

